Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.io
Class ASCII85OutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.pdfbox.io.ASCII85OutputStream

public class ASCII85OutputStream
extends FilterOutputStream

This class represents an ASCII85 output stream.

Version:
  $Revision: 1.7 $
Author:
  Ben Litchfield

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`ASCII85OutputStream(OutputStream out)` Constructor.

Method Summary
`void` | `close()` This will close the stream.
`protected void` | `finalize()` This will flush the stream.
`void` | `flush()` This will flush the data to the stream.
`int` | `getLineLength()` This will get the length of the line.
`char` | `getTerminator()` This will get the terminating character.
`void` | `setLineLength(int l)` This will set the line length that will be used.
`void` | `setTerminator(char term)` This will set the terminating character.
`void` | `write(byte[] b, int off, int sz)` This will write a chunk of data to the stream.
`void` | `write(int b)` This will write a single byte.

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASCII85OutputStream

    public ASCII85OutputStream(OutputStream out)

  Constructor.

Parameters:
  `out` - The output stream to write to.

Method Detail

### setTerminator

    public void setTerminator(char term)

  This will set the terminating character.

  Parameters:
    `term` - The terminating character.

### getTerminator

    public char getTerminator()

  This will get the terminating character.

  Returns:
    The terminating character.

### setLineLength

    public void setLineLength(int l)

  This will set the line length that will be used.

  Parameters:
    `l` - The length of the line to use.

### getLineLength

    public int getLineLength()

  This will get the length of the line.

  Returns:
    The line length attribute.

### write

    public final void write(int b)
                     throws IOException

  This will write a single byte.

  Parameters:
    `b` - The byte to write.
  Throws:
    `IOException` - If there is an error writing to the stream.

### write

    public final void write(byte[] b,
                            int off,
                            int sz)
                     throws IOException

  This will write a chunk of data to the stream.

  Parameters:
    `b` - The byte buffer to read from.
    `off` - The offset into the buffer.
    `sz` - The number of bytes to read from the buffer.
  Throws:
    `IOException` - If there is an error writing to the underlying stream.

### flush

    public final void flush()
                     throws IOException

  This will flush the data to the stream.

  Throws:
    `IOException` - If there is an error writing the data to the stream.

### close

    public void close()
               throws IOException

  This will close the stream.

  Throws:
    `IOException` - If there is an error closing the wrapped stream.

### finalize

    protected void finalize()
                     throws Throwable

  This will flush the stream.

  Throws:
    `Throwable` - If there is an error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD